// Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
function bic_verification()
{
  if(document.getElementById("nominstitutionbic")){ //existe ?
    if(document.getElementById("nominstitutionbic").value == ""){ //valeur nulle ?
      alert ('Saisissez un Nom de Banque.');
      return false;
    }
  }
  
  if(document.getElementById("branchebic")){
    if(document.getElementById("branchebic").value == ""){
      alert ('Saisissez un code de branche (Siège : XXX, Branche : 001 à 999).');
      return false;
    }
  }
  
  if(document.getElementById("villebic")){
    if(document.getElementById("villebic").value == ""){
      alert ('Saisissez une ville pour votre banque (exemple : PARIS).');
      return false;
    }
  }
  
  if(document.getElementById("paysbic")){
    if(document.getElementById("paysbic").value == ""){
      alert ('Saisissez un pays pour votre banque (exemple : FRANCE).');
      return false;
    }
  }
  
	// url non obligatoire
	
  if(document.getElementById("urlbic")){
  
    if(document.getElementById("urlbic").value == "")
    {
      alert ('Saisissez une URL pour votre banque ( exemple : http://www.banque-exemple.com/ ).');
      return false;
    }else{
      var urlbic = document.getElementById("urlbic").value;
      var httpbic = urlbic.slice(0,7);
      if(httpbic != "http://"){
        alert ('Saisissez une URL commençant par http:// .');
        return false;
      }
    }
    
  }

  
  return true;
}
